Index: TVHome.cs
===================================================================
--- TVHome.cs	(revision 28213)
+++ TVHome.cs	(working copy)
@@ -2437,21 +2437,12 @@
 
         // No channel -> no EPG
         if (Navigator.Channel == null)
-        {
-          //Log.Debug("UpdateProgressPercentageBar: Navigator.Channel == null");
+        {          
           return;
         }
 
         if (g_Player.IsRadio)
-        {
-          //Log.Debug("UpdateProgressPercentageBar: g_Player.IsRadio = true");
-
-          /*
-              * Team decision was not to hide TV's last channel EPG while Radio plays
-              * 
-            UpdateCurrentEpgProperties(null);
-            UpdateNextEpgProperties(null);
-            */
+        {        
           return;
         }
 
@@ -2533,31 +2524,17 @@
 
       if (!hasChannel || !hasCurrentEPG)
       {
-        GUIPropertyManager.SetProperty("#TV.View.title", GUILocalizeStrings.Get(736));          // no epg for this channel
-        GUIPropertyManager.SetProperty("#TV.View.compositetitle", GUILocalizeStrings.Get(736)); // no epg for this channel
-        GUIPropertyManager.SetProperty("#TV.View.start", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.stop", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.description", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.subtitle", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.episode", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.genre", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.Percentage", "0");
-        GUIPropertyManager.SetProperty("#TV.Record.percent1", "0");
-        GUIPropertyManager.SetProperty("#TV.Record.percent2", "0");
-        GUIPropertyManager.SetProperty("#TV.Record.percent3", "0");
-        GUIPropertyManager.SetProperty("#TV.View.remaining", String.Empty);
-        GUIPropertyManager.SetProperty("#TV.View.thumb", String.Empty);
-
+        ResetTvProperties();
         if (!hasChannel)
         {
           GUIPropertyManager.SetProperty("#TV.View.channel", String.Empty);
-          Log.Debug("UpdateCurrentEpgProperties: no channel, returning");
+          GUIPropertyManager.SetProperty("#TV.View.thumb", String.Empty);
+          Log.Debug("UpdateCurrentEpgProperties: no channel, returning");          
         }
-
-        if (!hasCurrentEPG)
+        else
         {
-          Log.Debug("UpdateCurrentEpgProperties: no EPG data, returning");
-        }
+          SetTvThumbProperty(ch);
+        }        
       }
       else
       {
@@ -2575,12 +2552,7 @@
         GUIPropertyManager.SetProperty("#TV.View.remaining",
                                        Utils.SecondsToHMSString(current.EndTime - current.StartTime));
 
-        string strLogo = Utils.GetCoverArt(Thumbs.TVChannel, ch.DisplayName);
-        if (string.IsNullOrEmpty(strLogo))
-        {
-          strLogo = "defaultVideoBig.png";
-        }
-        GUIPropertyManager.SetProperty("#TV.View.thumb", strLogo);
+        SetTvThumbProperty(ch);
 
         TimeSpan ts = current.EndTime - current.StartTime;
 
@@ -2619,6 +2591,33 @@
 
     }
 
+    private static void SetTvThumbProperty(Channel ch)
+    {
+      string strLogo = Utils.GetCoverArt(Thumbs.TVChannel, ch.DisplayName);
+      if (string.IsNullOrEmpty(strLogo))
+      {
+        strLogo = "defaultVideoBig.png";
+      }
+      GUIPropertyManager.SetProperty("#TV.View.thumb", strLogo);
+    }
+
+    private static void ResetTvProperties()
+    {
+      GUIPropertyManager.SetProperty("#TV.View.title", GUILocalizeStrings.Get(736)); // no epg for this channel
+      GUIPropertyManager.SetProperty("#TV.View.compositetitle", GUILocalizeStrings.Get(736)); // no epg for this channel
+      GUIPropertyManager.SetProperty("#TV.View.start", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.stop", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.description", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.subtitle", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.episode", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.genre", String.Empty);
+      GUIPropertyManager.SetProperty("#TV.View.Percentage", "0");
+      GUIPropertyManager.SetProperty("#TV.Record.percent1", "0");
+      GUIPropertyManager.SetProperty("#TV.Record.percent2", "0");
+      GUIPropertyManager.SetProperty("#TV.Record.percent3", "0");
+      GUIPropertyManager.SetProperty("#TV.View.remaining", String.Empty);
+    }
+
     private static void UpdateNextEpgProperties(Channel ch)
     {
       Program next = null;
